
| name                 | type                                          | default                          | description                                                                                                                                                                                                                                                                        |
| -------------------- | --------------------------------------------- | -------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **enabled**          | `String`, `String[]`                          |                                  | **Required** Enabled compiler id(s). See below for included compilers.                                                                                                                                                                                                             |
| **src**              | `String`, `String[]`                          | cwd                              | Directories to search for source files to compile.                                                                                                                                                                                                                                 |
| **dest**             | `String`                                      | `src` or <br/> `src[0]` if Array | Directory to write compiled result.                                                                                                                                                                                                                                                |
| **roots**            | `{src:dest, ...}`, <br/> `[[src, dest], ...]` |                                  | Allows you to specify multiple, ordered `src`-`dest` pairs. One of `roots` or `src` is required; `roots` takes precedence over `src` if present.                                                                                                                                   |
| **log_level**        | `String` , `Number`                           | `WARN`                           | Logging verbosity. Valid values (case-insensitive): `error`, `warn`, `info`, `debug`, `silent`, or a numeric constant (as found in `LOG`).                                                                                                                                         |
| **create_dirs**      | `Boolean`                                     | `true`                           | Creates intermediate directories for destination files.                                                                                                                                                                                                                            |
| **mount**            | `String`                                      |                                  | Prefix trimmed off request path before matching/processing.                                                                                                                                                                                                                        |
| **delta**            | `Number`                                      | `0`                              | Delta `mtime` (in seconds) required for a derived file to be considered stale, and therefore recompiled. By default, any change will cause a file to be recompiled on next request.                                                                                                |
| **expires**          | `Boolean`                                     | `false`                          | Automatically treat files as stale if this old in secs.                                                                                                                                                                                                                            |
| **external_timeout** | `Number`                                      | `3000`                           | Milliseconds after which to kill subprocess commands.                                                                                                                                                                                                                              |
| **cascade**          | `Boolean`                                     | `false`                          | Invoke all compilers that match? otherwise, only first.                                                                                                                                                                                                                            |
| **resolve_index**    | `Boolean` , `String`                          | `false`                          | If `true`-y, directories are resolved with the supplied filename, where `true` maps to `'index.html'`.                                                                                                                                                                             |
| **ignore**           | `RegExp`                                      | `/\.(jpe?g!gif!png)$/i`          | Requests matching this pattern are short-circuit ignored, and no compiler matching occurs.                                                                                                                                                                                         |
| **allowed_methods**  | `String[]`                                    | `['GET']`                        | HTTP methods compiler should process. This setting is global-only -- per-compiler overrides specified via `options` will have no effect.                                                                                                                                           |
| **options**          | `{compilerId:settings, ...}`                  |                                  | Hash of additional per-compiler options, mapped by compiler id. Each compiler is supplied a copy of the `settings` object; if additional options are supplied in this way for a given compiler, they will be merged into the settings (and override any colliding top-level keys). |



